#!/usr/bin/env python3
# -*- coding: utf-8 -*-

__author__ = "Tomas Fabian"
__copyright__ = "(c)2023 VSB-TUO, FEECS, Dept. of Computer Science"
__email__ = "tomas.fabian@vsb.cz"
__version__ = "0.1.0"

#from mylibrary import *
#from mylibrary import MyClass
import mylibrary as ml 

import tkinter as tk


def factorial(n):
  """
  Compute factorial of the given number n
  """
  a = 1  
  for i in range(1, n+1):  # get the numbers in the range <0, n-1>    
    a *= i    
    
  return a
  
def factorial_recursion(n):
  """
  Compute factorial of the given number n
  """
  if n < 2:
    return 1
  else:
    return factorial_recursion(n-1)*n  

def is_palindrome(word):
  """
  Check if the given word is a palindrome.
  """
  #return word == word[::-1]
  
  for i in range(len(word)//2):
    if word[i] != word[-i-1]:
      return False
  return True

  
def main():
  root = tk.Tk()
  label = tk.Label(root, text="Some text", bg="red")
  label.pack(side="bottom", expand=0, fill="x")
  
  label = tk.Label(root, text="Next label", bg="green")
  label.pack(side="top")  
  
  label = tk.Label(root, text="Next next label", bg="orange")
  label.pack(side="top")
  root.mainloop()
  
  
  print("Hello, World!")
  print(factorial_recursion(5))
  print(is_palindrome("ABBA"))
  print(is_palindrome("Tomas"))
  
  mc = ml.MyClass(99595)
  print(mc.width)
  print(mc.a)
  print(ml.MyClass.a)
  mc.resize(54544)
  #print(mc.b)

if __name__ == "__main__":   
  main()
